## com.sun.jna.platform.win32
Class GDI32.RGNDATAHEADER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.GDI32.RGNDATAHEADER

Enclosing interface:
  GDI32

    public static class GDI32.RGNDATAHEADER

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` `dwSize`
`int` `iType`
`int` `nCount`
`int` `nRgnSize`
`GDI32.RECT` `rcBound`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`GDI32.RGNDATAHEADER()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwSize

    public int dwSize

### iType

    public int iType

### nCount

    public int nCount

### nRgnSize

    public int nRgnSize

### rcBound

    public GDI32.RECT rcBound

Constructor Detail

### GDI32.RGNDATAHEADER

    public GDI32.RGNDATAHEADER()